SystemOrganization addCategory: #'IRDA2013-sorting2'!

Object subclass: #S2Item
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

Object subclass: #S2ItemList
	instanceVariableNames: 'items morph'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

!S2ItemList class methodsFor: 'as yet unclassified' stamp: 'JB 5/13/2013 16:33:06.77'!
newWithItems: anArray
	^ self new addItems: anArray.! !

!S2ItemList methodsFor: 'as yet unclassified' stamp: 'JB 5/13/2013 17:18:40.804'!
addItem: item

	self items add: item.
	^ self.! !

!S2ItemList methodsFor: 'as yet unclassified' stamp: 'JB 5/13/2013 17:18:43.863'!
addItems: anArray

	anArray do: [ :item | self addItem: item. ]! !

!S2ItemList methodsFor: 'initialize-release' stamp: 'JB 5/13/2013 17:19:04.273'!
initialize
	
	super initialize.! !

!S2ItemList methodsFor: 'accessing' stamp: 'JB 5/13/2013 17:18:35.802'!
items

	items ifNil: [items := OrderedCollection new].
	^ items! !

!S2ItemList methodsFor: 'accessing' stamp: 'JB 5/13/2013 17:12:09.699'!
items: anObject

	items := anObject! !

!S2ItemList methodsFor: 'accessing' stamp: 'JB 5/13/2013 17:23:09.016'!
morph

	morph ifNil: [morph := S2ItemListMorph new].
	^ morph! !

!S2ItemList methodsFor: 'accessing' stamp: 'JB 5/13/2013 17:18:26.01'!
morph: anObject

	morph := anObject! !

Object subclass: #S2ItemSpace
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

Morph subclass: #AnimatedProtoMorph
	instanceVariableNames: 'animation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

!AnimatedProtoMorph class methodsFor: 'as yet unclassified' stamp: 'db 5/13/2013 15:52:11.594'!
example1

	| morph |
	morph := Morph new
		position: 50@50;
		extent: 100@100.
	morph addMorph: (Morph new
		position: 60@60;
		extent: 80@80;
		color: Color yellow).
	
	(AnimPropertyAnimation on: morph property: #position start: (50@50) end: (400@400) duration: 10000)
		register;
		start: #deleteWhenFinished.
		
	morph openInWorld.! !

Morph subclass: #S2ItemListMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

Morph subclass: #S2ItemMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

!S2ItemMorph methodsFor: 'as yet unclassified' stamp: 'JB 5/13/2013 16:13:04.041'!
initialize 
	"init"
	super initialize.
	self on: #startDrag send: #startDrag:with: to: self.! !

Morph subclass: #S2ItemSpaceMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'IRDA2013-sorting2'!

!S2ItemSpaceMorph methodsFor: 'as yet unclassified' stamp: 'JB 5/13/2013 16:23:53.262'!
initialize 
	"init"
	super initialize.
	self enableDrop:true.! !
